### Method

# WebKit PrintOperation print

#### Declaration [src]

    void
    webkit_print_operation_print (
      WebKitPrintOperation* print_operation
    )

#### Description [src]

Start a print operation using current print settings and page setup.

Start a print operation using current print settings and page setup without showing the print dialog. If either print settings or page setup are not set with `webkit_print_operation_set_print_settings()` and webkit_print_operation_set_page_setup(), the default options will be used and the print job will be sent to the default printer. The `WebKitPrintOperation::finished` signal is emitted when the printing operation finishes. If an error occurs while printing the signal `WebKitPrintOperation::failed` is emitted before `WebKitPrintOperation::finished`.